@charset "utf-8";

.details {
  width: 88.888%;
  max-width: 1000px;
  margin: 0 auto 15rem;
}


/* パンくずリスト */
.breadcrumb-001 {
  display: flex;
  gap: 1rem;
  font-size: clamp(1rem, 2vw, 1.3rem);
  margin: 15rem auto 5rem;
}

.breadcrumb-001 li {
  display: flex;
  align-items: center;
}

.breadcrumb-001 li:not(:last-child)::after {
  display: inline-block;
  transform: rotate(45deg);
  width: 5px;
  height: 5px;
  margin-left: 10px;
  border-top: 1px solid var(--main-color);
  border-right: 1px solid var(--main-color);
  content: '';
}


/*/ 商品詳細の設定 /*/
.dressFlex {
  display: flex;
  gap: 4%;
  margin-bottom: 4rem;
}

.gallery,
.description {
  flex: 1;
  min-width: 0;
}

.gallery {
  aspect-ratio: 3 / 4;
}

.gallery img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  width: 100% !important;
  height: auto;
}

#slick-slide01,
#slick-slide02,
#slick-slide03 {
  left: 0 !important;
  position: absolute !important;
}

.slick-dots {
  bottom: initial !important;
}

.slick-dots li button:before {
  font-size: .9rem;
}



/* 商品説明 */
.mb-2 {
  margin-bottom: 2rem;
}

.description h2 {
  font-family: var(--font-en);
  font-weight: 400;
}

.description small {
  font-family: var(--font-ja);
  font-weight: 200;
}

.review-area a {
  color: #2276b7;
  font-family: var(--font-en);
}

.review-area a:hover {
  font-weight: bold;
}

.description dt {
  font-size: clamp(1.3rem, 2vw, 1.4rem);
  font-family: var(--font-ja);
  text-align: justify;
  margin-bottom: 2rem;
}

.description dd {
  font-family: var(--font-en);
  font-weight: 600;
  font-size: clamp(1.8rem, 2vw, 2rem);
}

.description dd small {
  font-family: var(--font-ja);
  font-weight: 200;
  font-size: clamp(1.2rem, 2vw, 1.4rem);
}

.reveiw-are p {
  font-size: clamp(1rem, 2vw, 1.5rem);
  font-family: var(--font-en);
}

.size-section p {
  font-size: clamp(1.2rem, 2vw, 1.4rem);
}

.sizebtn {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
}

.sizebtn label {
  display: block;
  background: #fff;
  color: var(--main-color);
  border: 1px solid #555;
  padding: 0 2rem;
  border-radius: 100vh;
  cursor: pointer;
  font-size: clamp(1.3rem, 2vw, 1.4rem);
}

.sizebtn input:checked+label {
  background: #ECE3E4;
  font-weight: 600;
}

.sizebtn input {
  display: none;
}


.suppl p {
  font-size: clamp(1.2rem, 2vw, 1.3rem);
  text-align: justify;
}



/*/ 数量ボタンの設定 /*/
.spinner-container {
  display: flex;
}

.spinner {
  width: 50px;
  padding: 0;
  text-align: center;
  border: none;
  background: none;
  outline: none;
  pointer-events: none;
}

.spinner::-webkit-inner-spin-button,
.spinner::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

.spinner-sub,
.spinner-add {
  display: block;
  width: 38px;
  height: 38px;
  text-align: center;
  border: 1px solid var(--main-color);
  border-radius: 50%;
  cursor: pointer;
  font-size: clamp(1rem, 2vw, 1.2rem);
  align-content: center;
}

.disabled {
  opacity: 0.3;
}

.order {
  display: flex;
  flex-direction: row;
  gap: 3rem;
  align-items: center;
}



/* カートに追加するボタン設定 */
.orderbtn {
  font-size: clamp(1.2rem, 2vw, 1.4rem);
  border: 1px solid var(--main-color);
  background-color: #f7f6f5;
  border-radius: 100vh;
  padding: 8px 30px;
  transition: all 0.3s ease-in-out;
}

.orderbtn:hover {
  background: #7c606bcc;
  color: white;
  border-color: transparent;
  font-weight: 500;
}



/* レビューの★表示設定 */
.review-area .star4-5:before {
  content: '★★★★★';
  background: linear-gradient(to right, #cda85a 90%, #d9d9d9 91%);
  color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
}



/* 商品情報 */
.info {
  text-align: left;
}

.flexbox {
  display: flex;
  justify-content: flex-start;
  gap: 2rem;
  font-size: clamp(1.2rem, 2vw, 1.4rem);
  margin-bottom: 4rem;
}

/* 関連ドレス */
.dressList p {
  margin-bottom: 2rem;
}

.dressImg {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 3rem;
}

.dressImg a {
  width: calc((100% - 9rem) / 4);
}

.dressImg img {
  border: 1px solid #7c606baa;
  border-radius: .3rem;
}

.dressImg img:hover {
  opacity: 0.6;
}

.sp {
  display: none;
}



/* レスポンシブ対応 */
@media (max-width: 800px) {
  .details {
    width: 85%;
    margin-bottom: 5rem;
  }

  .breadcrumb-001 {
    margin: 5rem 0 2rem;
    display: block;
    line-height: 1.5;
  }

  .dressFlex {
    display: block;
  }

  .slick-dotted.slick-slider {
    margin-bottom: 5rem;
  }

  .mb-2 {
    margin-bottom: 1rem;
  }

  .spinner-container {
    margin: 1rem auto;
    align-content: center;
    justify-content: center;
  }

  .order {
    flex-direction: column;
    gap: 1rem;
  }

  .flexbox {
    display: block;
  }

  .leftbox th, .rightbox th {
    width: 130px;
  }

  .dressImg {
    flex-wrap: wrap;
    gap: 1.5rem;
  }

  .dressImg a {
    width: calc((100% - 1.5rem) / 2);
  }
}